Developer Program Issues, HELP.

Discussion in 'iOS Development' started by 3.14159, Jul 28, 2009.

  1. 3.14159

    3.14159 New Member

    Joined:
    Apr 12, 2008
    Messages:
    4
    Likes Received:
    0
    My iPhone Developer Program membership expired a few weeks ago and I don't have the financial freedom to renew it at this point in time. Until now, the 3.1 beta 1 has been functioning fine on my phone, but now I'm being told I must update the firmware. I can't update the firmware due to my lack of an account where I can access said firmware. Is my phone completely useless until the final release of 3.1? Please let me know ASAP, I have a very important meeting this morning and I can't be contacted due to my lack of a home phone. Please help.
  2. Axis

    Axis Super Moderator Staff Member

    Joined:
    Dec 2, 2007
    Messages:
    6,288
    Likes Received:
    133
    Device:
    iPhone 4S (White)
    Can't you DFU restore to 3.0? If you need the download link (for the iPhone), I'd gladly hit you up with one.
  3. 3.14159

    3.14159 New Member

    Joined:
    Apr 12, 2008
    Messages:
    4
    Likes Received:
    0
    No,
    I tried every firmware I could find and there's no way to get it running. itunes gives me an error every time.
  4. DotSlashSlash

    DotSlashSlash Active Member

    Joined:
    Feb 29, 2008
    Messages:
    1,134
    Likes Received:
    0
    Device:
    iPhone 3GS (White)
    yeh you need to put it into DFU mode.. i had troubles doing it with the PSOD but i have downgraded
  5. 3.14159

    3.14159 New Member

    Joined:
    Apr 12, 2008
    Messages:
    4
    Likes Received:
    0
    I tried DFU multiple times and it didn't work.
  6. SkylarEC

    SkylarEC Super Moderator Emeritus Staff Member

    Joined:
    Sep 19, 2007
    Messages:
    6,642
    Likes Received:
    129
    I guarantee you that DFU mode will work on 3.x devices. I've done it twice now, and I know several others who have. You're just doing it wrong.

Share This Page